﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Net;

namespace Nansen.StatusCodes.Persistence
{
    public interface IUrlMapper
    {
        void GenerateSchema();
        void Add301MovedPermanentlyStatus(string oldUrl, string newUrl);
        void Add410GoneStatus(string url);
        void RemoveMappings(string url);
        bool Exists(string url);
        string GetRedirectUrl(string oldUrl);
        HttpStatusCode? GetStatusCode(string url);
    }
}
